<template>
  <v-app id="app" dark>
    <v-navigation-drawer v-model="drawer" fixed app>
      <div class="logo">
        <img src="~/assets/images/logo.jpg" alt="">
      </div>
      <v-list>
        <v-list-item v-for="(router, i) in routers" :key="i" :to="router.to" router exact>
          <v-list-item-action>
            <v-icon>{{ router.icon }}</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title v-text="router.title" />
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-app-bar :clipped-left="false" fixed app>
      <v-row justify="start" align="center">
        <v-app-bar-nav-icon />
        <span>
          IDC
        </span>
      </v-row>
      <v-spacer />
      <h1>{{ $t("home") }}</h1>
      <nuxt-link v-for="(locale, i) in showLocales" :key="i" :to="switchLocalePath(locale.code)">
        {{ locale.name }}
      </nuxt-link>
    </v-app-bar>
    <v-main>
      <v-container>
        <nuxt />
      </v-container>
    </v-main>
    <v-footer absolute app>
      <span>&copy; {{ new Date().getFullYear() }}</span>
    </v-footer>
  </v-app>
</template>

<script>
export default {
  data () {
    return {
      drawer: false,
      fixed: false,
      routers: [
        {
          icon: 'mdi-view-dashboard-outline',
          title: 'Dashboard',
          to: '/'
        },
        {
          icon: 'mdi-server',
          title: 'Cloud Server',
          to: '/cloud-server'
        },
        {
          icon: 'mdi-zip-disk',
          title: 'Volume',
          to: '/volume'
        },
        {
          icon: 'mdi-harddisk',
          title: 'Snapshot',
          to: '/snapshot'
        }
      ]
    }
  },
  computed: {
    showLocales () {
      console.log(this.$router)
      return this.$i18n.locales.filter(
        locale => locale.code !== this.$i18n.locale
      )
    }
  }
}
</script>
<style lang="scss" scoped>
  #app{
    .logo{
      width: 100%;
      height: 64px;
      padding: 5px;
      img{
        min-width: 100%;
        max-width: 100%;
        max-height: 100%;
      }
    }
    .v-list{
      padding: 0 0 8px 0;
    }
  }
</style>
